---
lang: en
title: 'API docs: authentication.authenticationstrategy.name'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authenticationstrategy.name.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticationStrategy](./authentication.authenticationstrategy.md) &gt; [name](./authentication.authenticationstrategy.name.md)

## AuthenticationStrategy.name property

The 'name' property is a unique identifier for the authentication strategy ( for example : 'basic', 'jwt', etc)

**Signature:**

```typescript
name: string;
```

